﻿using UnityEngine;
using System.Collections;
using UnityEditor;

[CustomEditor(typeof(CutManager))]
public class CutManagerEditor : Editor {

	string[] cutChoices = new[] {"Window Cut", "Box Cut"};
	int cutChoicesIndex= 0;

	void OnEnable(){
		string keyName = ((CutManager)target).getNameOfGeo () + "_CM_choincesIndex";
		if (PlayerPrefs.HasKey (keyName)) {
			this.cutChoicesIndex = PlayerPrefs.GetInt (keyName);
		}
	}

	void OnDisable(){

		PlayerPrefs.SetInt (((CutManager)target).getNameOfGeo () + "_CM_choincesIndex", cutChoicesIndex);
	}

	public override void OnInspectorGUI() {
		CutManager cutManager = target as CutManager;
		DrawDefaultInspector ();
		cutChoicesIndex = EditorGUILayout.Popup (cutChoicesIndex, cutChoices);
		cutManager.setCutName(cutChoices[cutChoicesIndex]);
	}

}
