﻿using UnityEngine;
using System.Collections;
using UnityEditor;

[CustomEditor(typeof(Main))]
public class MainEditor : Editor {

	int activeCamera = 0;
	string currentTargetName = "";

	void OnEnable(){
		if (PlayerPrefs.HasKey ("M_activeCamera")) {
			this.activeCamera = PlayerPrefs.GetInt ("M_activeCamera");
		}
		if (PlayerPrefs.HasKey ("M_currentTargetName")) {
			this.currentTargetName = PlayerPrefs.GetString("M_currentTargetName");
		}
	}

	void OnDisable(){

		PlayerPrefs.SetInt ("M_activeCamera", activeCamera);
		PlayerPrefs.SetString("M_currentTargetName", currentTargetName);
	}

	float u = 0;
    string nameScreenshot = "";
    public override void OnInspectorGUI() {
		Main main = target as Main;
		DrawDefaultInspector ();

		if (GUILayout.Button ("Compute Viewpoints")) {
			main.computeViewPoints ();
		}


		activeCamera = EditorGUILayout.IntField ("Active Viewpoint", activeCamera);
		if (GUILayout.Button ("Set Viewpoint")) {
			main.setActiveViewpoint (activeCamera);
		}

		currentTargetName= EditorGUILayout.TextField("Current Target Name", currentTargetName);
		if (GUILayout.Button ("Set Current Target")) {
			main.setCurrentTarget (currentTargetName);
		}


		if (GUILayout.Button ("Create Occlusion Graph")) {
			main.computeOcclusionGraph ();
		}

		/*if (GUILayout.Button ("Precompute cuts")) {
			main.precomputeCuts ();
		}*/

		if (GUILayout.Button ("Perform cut")) {
			main.performFinalCut();
		}

        nameScreenshot = EditorGUILayout.TextField("Name of Screenshot", nameScreenshot);
        if (GUILayout.Button("Make Screenshot"))
        {
            main.makeScreenshot(nameScreenshot);
        }
    }
}
